Package Details: sublime-music 0.11.11-1

Git Clone URL: https://aur.archlinux.org/sublime-music.git (read-only, click to copy)
Package Base: sublime-music
Description: A native Subsonic/Airsonic/*sonic client for Linux. Built using Python and GTK+.
Upstream URL: https://sublimemusic.app
Licenses: GPL3
Submitter: sumner
Maintainer: sumner
Last Packager: sumner
Votes: 7
Popularity: 0.54
First Submitted: 2019-10-29 04:33
Last Updated: 2021-02-11 18:22

Dependencies (19)

Required by (0)

Sources (2)

Latest Comments

1 2 Next › Last »

marco commented on 2021-03-13 12:23

The python-keyring update to version 23.0.0-1 is currently incompatible with sublime-music. This was an error with the python-keyring package and is now fixed in python-keyring.

sumner commented on 2021-03-13 01:39

@loser137: python-stringcase is a dependency of python-dataclasses-json which is a dependency of sublime-music, so there is no need for me to add the dependency directly to sublime-music.

loser137 commented on 2021-03-11 16:51

Please add python-stringcase as dependency

Venom1991 commented on 2020-12-02 23:52

After Python got updated to 3.9 this line became problematic: pushd ${pkgdir}/usr/lib/python3.8/site-packages/sublime_music

Changing the PKGBUILD on the fly resolves the installation issue but you should probably change it or come up with a version-agnostic solution.

jrabensc commented on 2020-11-02 15:56

could not satisfy dependencies: - unable to satisfy dependency 'python-fuzzywuzzy' required by sublime-music Resolving dependencies... Warning: cannot resolve "python-fuzzywuzzy", a dependency of "sublime-music" Failed to prepare transaction: could not satisfy dependencies: - unable to satisfy dependency 'python-fuzzywuzzy' required by sublime-music

duckdalbe commented on 2020-07-27 21:35

Please add python-keyring as dependency.

Without it, sublime-music shows up but acts like it couldn't load anything. In the console this error is shown:

"keyring": lambda: keyring.get_password(KEYRING_APP_NAME, storage_key), NameError: name 'keyring' is not defined

EDIT This error occurred because I had python-keyring installed before as dependency of another package, and then removed it. In case you run into it, just install python-keyring and you're good to go.

sumner commented on 2020-07-12 20:58

@muhlinux: I don't think that python-pyaml is required. I have added python-semver to the dependencies, though.

muhlinux commented on 2020-07-12 09:51

Missing these dependencies: python-semver python-pyaml

pagdot commented on 2020-04-27 14:50

Yeah, works now. Thanks :)

sumner commented on 2020-04-27 14:16

@pagdot. Should be fixed now in 0afdd5b.